summaryrefslogtreecommitdiff
path: root/pcr
diff options
context:
space:
mode:
authorAndreas Grapentin <andreas@grapentin.org>2018-01-24 15:39:16 +0100
committerAndreas Grapentin <andreas@grapentin.org>2018-01-24 15:39:16 +0100
commit1db964aec1a49e18346dcbda36a9798d43db6001 (patch)
treec049c79cf4ccbc61d1b4721a35fa8838a60e1b0c /pcr
parent6b0e940d3b42eeaba240a8659479b6bdfe964147 (diff)
downloadabslibre-1db964aec1a49e18346dcbda36a9798d43db6001.tar.gz
abslibre-1db964aec1a49e18346dcbda36a9798d43db6001.tar.bz2
abslibre-1db964aec1a49e18346dcbda36a9798d43db6001.zip
pcr/python-lz4: added
Diffstat (limited to 'pcr')
-rwxr-xr-xpcr/python-lz4/PKGBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/pcr/python-lz4/PKGBUILD b/pcr/python-lz4/PKGBUILD
new file mode 100755
index 000000000..7f3f90077
--- /dev/null
+++ b/pcr/python-lz4/PKGBUILD
@@ -0,0 +1,24 @@
+# Maintainer (AUR): Nissar Chababy <funilrys at outlook dot com>
+# Ex-Maintainer (AUR): David Manouchehri <manouchehri@riseup.net>
+# Contributor (AUR): Vladimir Tsanev <tsachev@gmail.com>
+# Contributor (AUR): Andrew Reed <reed.996@osu.edu>
+
+# parabola changes and rationale:
+# - added missing makedepends: python-setuptools-scm
+
+pkgname=python-lz4
+pkgver=0.11.1
+pkgrel=1
+pkgdesc="LZ4 Bindings for Python"
+arch=('any')
+url="https://pypi.python.org/pypi/lz4"
+license=('BSD')
+makedepends=('python-distribute' 'python-setuptools-scm')
+depends=('python3')
+source=("https://pypi.python.org/packages/3c/00/668df8820cfafe54257a1e2e723c9bfcd1bd88f5ffe250b6fc6c0cef0fd1/lz4-$pkgver.tar.gz")
+md5sums=('2a7d1d8669046c380ad69dbd9db4db94')
+
+package() {
+ cd $srcdir/lz4-$pkgver
+ python3 setup.py install --root=$pkgdir || return 1
+}